curl --request PATCH \
--url https://api.wondeya.com/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"locales": [],
"robots": {
"indexable": true,
"aiSearch": true,
"aiTraining": true,
"disallow": [
"<array>"
],
"raw": "<string>"
},
"analytics": {
"clarityId": "<string>",
"gtmId": "<string>",
"metaPixelId": "<string>",
"posthogKey": "<string>"
},
"sitemap": {
"extraUrls": [
{
"path": "<string>",
"priority": 0.5
}
]
}
}
'import requests
url = "https://api.wondeya.com/v1/projects/{projectId}"
payload = {
"name": "<string>",
"locales": [],
"robots": {
"indexable": True,
"aiSearch": True,
"aiTraining": True,
"disallow": ["<array>"],
"raw": "<string>"
},
"analytics": {
"clarityId": "<string>",
"gtmId": "<string>",
"metaPixelId": "<string>",
"posthogKey": "<string>"
},
"sitemap": { "extraUrls": [
{
"path": "<string>",
"priority": 0.5
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
locales: [],
robots: {
indexable: true,
aiSearch: true,
aiTraining: true,
disallow: ['<array>'],
raw: '<string>'
},
analytics: {
clarityId: '<string>',
gtmId: '<string>',
metaPixelId: '<string>',
posthogKey: '<string>'
},
sitemap: {extraUrls: [{path: '<string>', priority: 0.5}]}
})
};
fetch('https://api.wondeya.com/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'locales' => [
],
'robots' => [
'indexable' => true,
'aiSearch' => true,
'aiTraining' => true,
'disallow' => [
'<array>'
],
'raw' => '<string>'
],
'analytics' => [
'clarityId' => '<string>',
'gtmId' => '<string>',
'metaPixelId' => '<string>',
'posthogKey' => '<string>'
],
'sitemap' => [
'extraUrls' => [
[
'path' => '<string>',
'priority' => 0.5
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/projects/{projectId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"locales\": [],\n \"robots\": {\n \"indexable\": true,\n \"aiSearch\": true,\n \"aiTraining\": true,\n \"disallow\": [\n \"<array>\"\n ],\n \"raw\": \"<string>\"\n },\n \"analytics\": {\n \"clarityId\": \"<string>\",\n \"gtmId\": \"<string>\",\n \"metaPixelId\": \"<string>\",\n \"posthogKey\": \"<string>\"\n },\n \"sitemap\": {\n \"extraUrls\": [\n {\n \"path\": \"<string>\",\n \"priority\": 0.5\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.wondeya.com/v1/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"locales\": [],\n \"robots\": {\n \"indexable\": true,\n \"aiSearch\": true,\n \"aiTraining\": true,\n \"disallow\": [\n \"<array>\"\n ],\n \"raw\": \"<string>\"\n },\n \"analytics\": {\n \"clarityId\": \"<string>\",\n \"gtmId\": \"<string>\",\n \"metaPixelId\": \"<string>\",\n \"posthogKey\": \"<string>\"\n },\n \"sitemap\": {\n \"extraUrls\": [\n {\n \"path\": \"<string>\",\n \"priority\": 0.5\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"locales\": [],\n \"robots\": {\n \"indexable\": true,\n \"aiSearch\": true,\n \"aiTraining\": true,\n \"disallow\": [\n \"<array>\"\n ],\n \"raw\": \"<string>\"\n },\n \"analytics\": {\n \"clarityId\": \"<string>\",\n \"gtmId\": \"<string>\",\n \"metaPixelId\": \"<string>\",\n \"posthogKey\": \"<string>\"\n },\n \"sitemap\": {\n \"extraUrls\": [\n {\n \"path\": \"<string>\",\n \"priority\": 0.5\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"locales": [
"es"
],
"defaultLocale": "es",
"robots": {
"indexable": true,
"aiSearch": true,
"aiTraining": true,
"disallow": [
"<string>"
],
"raw": "<string>"
},
"analytics": {
"clarityId": "<string>",
"gtmId": "<string>",
"metaPixelId": "<string>",
"posthogKey": "<string>"
},
"sitemap": {
"extraUrls": [
{
"path": "/docs",
"priority": 0.5,
"changefreq": "always"
}
]
},
"llmsTxt": {
"text": "<string>",
"generatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Edita un sitio
Edita la etiqueta, los idiomas servidos y la infraestructura de SEO (política de robots.txt, ids de analytics, URLs de sitemap adicionales). La dirección nunca se mueve aquí; usa PUT :id/address.
curl --request PATCH \
--url https://api.wondeya.com/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"locales": [],
"robots": {
"indexable": true,
"aiSearch": true,
"aiTraining": true,
"disallow": [
"<array>"
],
"raw": "<string>"
},
"analytics": {
"clarityId": "<string>",
"gtmId": "<string>",
"metaPixelId": "<string>",
"posthogKey": "<string>"
},
"sitemap": {
"extraUrls": [
{
"path": "<string>",
"priority": 0.5
}
]
}
}
'import requests
url = "https://api.wondeya.com/v1/projects/{projectId}"
payload = {
"name": "<string>",
"locales": [],
"robots": {
"indexable": True,
"aiSearch": True,
"aiTraining": True,
"disallow": ["<array>"],
"raw": "<string>"
},
"analytics": {
"clarityId": "<string>",
"gtmId": "<string>",
"metaPixelId": "<string>",
"posthogKey": "<string>"
},
"sitemap": { "extraUrls": [
{
"path": "<string>",
"priority": 0.5
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
locales: [],
robots: {
indexable: true,
aiSearch: true,
aiTraining: true,
disallow: ['<array>'],
raw: '<string>'
},
analytics: {
clarityId: '<string>',
gtmId: '<string>',
metaPixelId: '<string>',
posthogKey: '<string>'
},
sitemap: {extraUrls: [{path: '<string>', priority: 0.5}]}
})
};
fetch('https://api.wondeya.com/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'locales' => [
],
'robots' => [
'indexable' => true,
'aiSearch' => true,
'aiTraining' => true,
'disallow' => [
'<array>'
],
'raw' => '<string>'
],
'analytics' => [
'clarityId' => '<string>',
'gtmId' => '<string>',
'metaPixelId' => '<string>',
'posthogKey' => '<string>'
],
'sitemap' => [
'extraUrls' => [
[
'path' => '<string>',
'priority' => 0.5
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/projects/{projectId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"locales\": [],\n \"robots\": {\n \"indexable\": true,\n \"aiSearch\": true,\n \"aiTraining\": true,\n \"disallow\": [\n \"<array>\"\n ],\n \"raw\": \"<string>\"\n },\n \"analytics\": {\n \"clarityId\": \"<string>\",\n \"gtmId\": \"<string>\",\n \"metaPixelId\": \"<string>\",\n \"posthogKey\": \"<string>\"\n },\n \"sitemap\": {\n \"extraUrls\": [\n {\n \"path\": \"<string>\",\n \"priority\": 0.5\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.wondeya.com/v1/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"locales\": [],\n \"robots\": {\n \"indexable\": true,\n \"aiSearch\": true,\n \"aiTraining\": true,\n \"disallow\": [\n \"<array>\"\n ],\n \"raw\": \"<string>\"\n },\n \"analytics\": {\n \"clarityId\": \"<string>\",\n \"gtmId\": \"<string>\",\n \"metaPixelId\": \"<string>\",\n \"posthogKey\": \"<string>\"\n },\n \"sitemap\": {\n \"extraUrls\": [\n {\n \"path\": \"<string>\",\n \"priority\": 0.5\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"locales\": [],\n \"robots\": {\n \"indexable\": true,\n \"aiSearch\": true,\n \"aiTraining\": true,\n \"disallow\": [\n \"<array>\"\n ],\n \"raw\": \"<string>\"\n },\n \"analytics\": {\n \"clarityId\": \"<string>\",\n \"gtmId\": \"<string>\",\n \"metaPixelId\": \"<string>\",\n \"posthogKey\": \"<string>\"\n },\n \"sitemap\": {\n \"extraUrls\": [\n {\n \"path\": \"<string>\",\n \"priority\": 0.5\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"locales": [
"es"
],
"defaultLocale": "es",
"robots": {
"indexable": true,
"aiSearch": true,
"aiTraining": true,
"disallow": [
"<string>"
],
"raw": "<string>"
},
"analytics": {
"clarityId": "<string>",
"gtmId": "<string>",
"metaPixelId": "<string>",
"posthogKey": "<string>"
},
"sitemap": {
"extraUrls": [
{
"path": "/docs",
"priority": 0.5,
"changefreq": "always"
}
]
},
"llmsTxt": {
"text": "<string>",
"generatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Autorizaciones
Una clave de API del espacio de trabajo: wdy_live_… / wdy_test_…. Se crea en POST /workspaces/{tenantId}/keys y se muestra exactamente una vez.
Parámetros de ruta
Cuerpo
1 - 80Qué idiomas sirve este sitio (D-44). Agregar uno programa la traducción automática de cada texto que el propietario no haya escrito en él; quitar uno deja de servirlo sin eliminar ningún texto.
2es, en El idioma en el que escribe el propietario: el origen desde el cual se traducen todos los demás idiomas. Debe ser uno de locales.
es, en La política de robots.txt (D-49).
Show child attributes
Show child attributes
Los ids de Clarity/GTM/Meta Pixel (D-49).
Show child attributes
Show child attributes
Las URLs de sitemap adicionales del mismo sitio (D-49).
Show child attributes
Show child attributes
Respuesta
La etiqueta de la consola. Nunca una dirección.
La mitad de la dirección pública: <slug>.wondeya.app.
es, en es, en Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes